## wrapperfactory.app 0.1.0

=== debian/changelog ===
wrapperfactory.app (0.1.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gnustep-make (>= 2.7.0-3).
    + Remove 1 maintscript entries from 1 files.

  [ Yavor Doganov ]
  * debian/control (Build-Depends): Use debhelper-compat virtual package;
    set compat level to 13.  Remove gnustep-make; add dpkg-build-api (= 1).
    Add imagemagick for the icon conversion.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/compat: Delete.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Remove -Wl,--as-needed.
    (override_dh_auto_build): Use $(verbose) instead of messages=yes to
    support "terse" in DEB_BUILD_OPTIONS.  Convert the app icon to PNG as
    AppStream does not support TIFF.
    (override_dh_auto_install): Install the PNG icon.
    (override_dh_link): Run dh_gnustep as first command in the recipe.
    Old dh_gnustep will do nothing, new will delete the stamp.make file
    from the app bundle and will add a bug-script symlink.
  * debian/clean: New file; delete the generated icon.
  * debian/WrapperFactory.desktop (Icon): Use the PNG icon.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 27 Sep 2024 21:02:56 +0300

wrapperfactory.app (0.1.0-5) unstable; urgency=medium

  * debian/compat: Bump to 11.
  * debian/rules: Rewrite for modern dh.  Don't include dpatch.make.
    Don't generate/install the .xpm icon.  Enable all hardening.  Move the
    .gorm files to /usr/share as well.
  * debian/control: Run wrap-and-sort -ast.
    (Build-Depends): Remove dpatch and imagemagick.  Bump debhelper to
    >= 11.  Require gnustep-make >= 2.7.0-3 for noopt support.
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Vcs-Arch): Replace with Vcs-Git.
    (Vcs-Browser): New field.
    (Standards-Version): Claim compliance with 4.1.4 as of this release.
  * debian/source/format: Set to 3.0 (quilt).
  * debian/patches/00list: Rename as...
  * debian/patches/series: ...and update.
  * debian/patches/05_objdir.dpatch: Delete, no longer necessary.
  * debian/patches/10_libGSWrapper_libobjc.dpatch: Rename as...
  * debian/patches/link-libs.patch: ...and quiltify.
  * debian/patches/make-v2-strict.patch: New; fix FTBFS with gnustep-make
    in strict v2 mode, adapt code to a v2 environment (Closes: #897620).
  * debian/patches/gcc-warnings.patch: New; fix some GCC warnings.
  * debian/README.source: Delete; useless.
  * debian/menu: Delete as per policy requirement.
  * debian/manpages: New file.
  * debian/WrapperFactory.desktop: Set Icon to the actual file in
    /usr/share.  Add Keywords key.
  * debian/watch: Replace with a dummy one as upstream's site is gone.
  * debian/maintscript: New; handle the move from dir to symlink.
  * debian/copyright: Rewrite in format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 May 2018 22:12:39 +0300

wrapperfactory.app (0.1.0-4) unstable; urgency=low

  * debian/compat: Set to 7.
  * debian/control (Section): Change to `gnustep'.
    (Build-Depends): Require debhelper >= 7, unversion libgnustep-gui-dev.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Vcs-Arch): New field.
    (Standards-Version): Claim compliance with 3.8.4 as of this release.
  * debian/rules: Include /usr/share/GNUstep/debian/config.mk, export
    GNUSTEP_MAKEFILES and avoid gs_make usage.
    (LDFLAGS): Add -Wl,-rpath,/usr/lib/wrapperfactory.app.
    (d_app): Define and use (for convenience).
    (OPTFLAG): No longer define; rework noopt handling to be compatible
    with gnustep-make/2.4.x (Closes: #581989).
    (install): Replace dh_clean -k with dh_prep.  Don't install the
    lintian override file.  Install libGSWrapper as a private library
    under /usr/lib/wrappefactory.app.  Delete usr/bin/GSWrapper_Launcher;
    should not be there as it's not supposed to be started manually.
    (binary-arch): Conditionally move arch-independent image files to
    /usr/share/GNUstep.  Explicitly install the app's manpage.
  * debian/README.source:
  * debian/source/format:
  * debian/watch: New file.
  * debian/lintian-override:
  * debian/manpages:
  * debian/GSWrapper_Launcher.1: Delete.
  * debian/WrapperFactory.desktop: Make it valid.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 08 Jun 2010 20:59:40 +0300

wrapperfactory.app (0.1.0-3) unstable; urgency=low

  * debian/control (Maintainer): Adopting package; set to the GNUstep team
    (Closes: #449514).
    (Uploaders): Add myself.
    (Build-Depends): Bump debhelper to (>= 5), replace
    libgnustep-gui0.10-dev with libgnustep-gui-dev (>= 0.12) (Closes:
    #447449).  Drop gnustep-make.  Add dpatch and imagemagick.
    (Standards-Version): Set to 3.7.2 (no changes needed).
  * debian/compat: Bump to 5.
  * debian/copyright: Add the GPL blurb.
  * debian/dirs: Deleted.
  * debian/docs: Drop NEWS, not useful.
  * debian/GSWrapper_Launcher.1: New manpage.
  * debian/manpages: Added GSWrapper_Launcher.
  * debian/rules: Include /usr/share/dpatch/dpatch.make.
    (CFLAGS): Do not define.
    (LDFLAGS): Define.
    (OPTFLAG): Define only conditionally based on the value of
    DEB_BUILD_OPTIONS.
    (configure, configure-stamp): Delete these targets, not needed.
    (build): Depend on the `patch' target.
    (build-stamp): Do not source GNUstep.sh; honor OPTFLAG and LDFLAGS.
    Convert the icon to XPM format.  Do not depend on the
    `configure-stamp' target.
    (clean): Renamed to `clean-patched'; depend on it and `unpatch'.
    (clean-patched): Do not delete configure-stamp.  Delete the XPM icon.
    Use gs_make instead of $(MAKE).
    (install): Do not invoke dh_installdirs.  Use gs_make and
    GNUSTEP_INSTALLATION_DOMAIN.  Remove the invalid .desktop file and
    install ours; install the XPM icon as well.  Install the lintian
    override here.
    (binary-arch): Do not invoke dh_installexamples.  Do not create

