=== debian/control ===
Source: wrapperfactory.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 imagemagick,
 libgnustep-gui-dev,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/gnustep-team/wrapperfactory.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/wrapperfactory.app

Package: wrapperfactory.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gworkspace.app,
Description: Application wrappers configuration tool for GNUstep
 This provides an easy way to create GNUstep app-wrappers of non-GNUstep
 applications. It is the most useful in conjunction with GWorkspace
 environment.
